summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-01-19 06:53:16 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-01-19 06:53:16 +0000
commit9d4f011dc52fc9f47863dd96637bb3b78a159498 (patch)
tree8e9b24b70b5f88de1cf6592f88b314030e086f49 /dev-python
parent32f67e88ed32477735a9df83e3a772ad2bddd6a7 (diff)
downloadbaldeagleos-repo-9d4f011dc52fc9f47863dd96637bb3b78a159498.tar.gz
baldeagleos-repo-9d4f011dc52fc9f47863dd96637bb3b78a159498.tar.xz
baldeagleos-repo-9d4f011dc52fc9f47863dd96637bb3b78a159498.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/icalendar/Manifest1
-rw-r--r--dev-python/icalendar/icalendar-6.1.1.ebuild43
-rw-r--r--dev-python/langdetect/Manifest2
-rw-r--r--dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch13
-rw-r--r--dev-python/langdetect/langdetect-1.0.9.ebuild4
-rw-r--r--dev-python/langdetect/metadata.xml10
-rw-r--r--dev-python/numpy/Manifest1
-rw-r--r--dev-python/numpy/numpy-2.2.2.ebuild191
-rw-r--r--dev-python/orjson/Manifest1
-rw-r--r--dev-python/orjson/orjson-3.10.15.ebuild91
-rw-r--r--dev-python/recurring-ical-events/Manifest1
-rw-r--r--dev-python/recurring-ical-events/recurring-ical-events-3.4.1.ebuild45
-rw-r--r--dev-python/sphinxygen/Manifest1
-rw-r--r--dev-python/sphinxygen/sphinxygen-1.0.10.ebuild35
14 files changed, 419 insertions, 20 deletions
diff --git a/dev-python/icalendar/Manifest b/dev-python/icalendar/Manifest
index c48f9066c818..f1b9e31dd638 100644
--- a/dev-python/icalendar/Manifest
+++ b/dev-python/icalendar/Manifest
@@ -1 +1,2 @@
DIST icalendar-6.1.0.tar.gz 142307 BLAKE2B fb5b6e6c337aaf4f18b1d2237d3523cbd4502e61255ee3d3de0f335ca90da384119c1cda5843b455f3eb93540c17d9448a3745e6a09e27b35158b26ab6f7e01f SHA512 dbab2542371d038060be9e9d2ecccdf6db7d51c4ca80515e02798db1a0f96fc9b4a7eb8e098831d7da97c2c8ba715da2836badf872a0d5c206299fb78923b864
+DIST icalendar-6.1.1.tar.gz 145256 BLAKE2B cf3cf5a79f25f6c2820e4a04fc02a1546949e99c4e3fa9e6a204b0e4eb13e475b0c5a1f3179009b77437a33ab360b561cdff59453bcd77b771fc223ad14a2494 SHA512 3afb10dcfd07d0348bb404e2bfef3b790e312764bed1147999a3322255d7c881a1513077b49b3ed6cfc03a22afa81a3211823d94a2414b00bc2c4503bed73264
diff --git a/dev-python/icalendar/icalendar-6.1.1.ebuild b/dev-python/icalendar/icalendar-6.1.1.ebuild
new file mode 100644
index 000000000000..f412e0d2cac1
--- /dev/null
+++ b/dev-python/icalendar/icalendar-6.1.1.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Package used for parsing and generating iCalendar files (RFC 2445)"
+HOMEPAGE="
+ https://github.com/collective/icalendar/
+ https://pypi.org/project/icalendar/
+"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ dev-python/tzdata[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/hatch-vcs[${PYTHON_USEDEP}]
+ test? (
+ dev-python/hypothesis[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs \
+ dev-python/sphinx-copybutton \
+ dev-python/sphinx-rtd-theme
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # reset conf.py to not read version from an installed instance
+ sed -e "s:pkg_resources.get_distribution('icalendar').version:'${PV}':" \
+ -i docs/conf.py || die
+ distutils-r1_python_prepare_all
+}
diff --git a/dev-python/langdetect/Manifest b/dev-python/langdetect/Manifest
index a11d7c268c91..37a64204a00a 100644
--- a/dev-python/langdetect/Manifest
+++ b/dev-python/langdetect/Manifest
@@ -1 +1,3 @@
DIST langdetect-1.0.9.tar.gz 981474 BLAKE2B ea8a9c3f16a2987c080742473bff4f2c1503f53fb3c2b40b0b1d6212bb6133ea22dce7864ffcfb8968c3a46b157d45cb3e2cf6f84bdbed0266cc716a853b032c SHA512 7558d674c47b080c79e43a00a25d2c7f77188cf60bea2cecb3bebb803d75e1aa42b43c74bd26ea1b541f4cb927421908882cbec01a91f0913984217e71ccc8db
+EBUILD langdetect-1.0.9.ebuild 494 BLAKE2B 9b3521c5721afa49a58e0c35267f7d82bb56bd7e1d6d3152be0d36cd220180a526cb20b90b1113fbf0fff4a512137570f0b3bcf864498b7b7cc00403cb61ca27 SHA512 16d311400bf84a5f04e15f3da4b68b2810e4b005009f4d03dc8a487176dfc294403c976c412c83dcfa8084a49ef7b7d5389b43fb2ba446ce107ce4595e3558c6
+MISC metadata.xml 457 BLAKE2B 630128a3e982b6d60cc7b9f74c79fcb5ee47a71a02c73a50af9da8cedb6fad8e20a7f74b881e5b25c6483b92c9edbd56552cd38b2d9cbfa8b3eb4530facea969 SHA512 674f4f5cd809c6c77bc14e0f5687fa972bef14bdfa0b3343c5d66b7163eef1906eb87d060c8288732f825de71dce291ad0b841a5f2f0dd230f957b5687e45d45
diff --git a/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch b/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch
deleted file mode 100644
index 637368d2f237..000000000000
--- a/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch
+++ /dev/null
@@ -1,13 +0,0 @@
-Fix "Package 'langdetect.profiles' is absent from the `packages` configuration."
-
---- a/setup.py
-+++ b/setup.py
-@@ -18,7 +18,7 @@ setup(
- author_email='michal.danilak@gmail.com',
- url='https://github.com/Mimino666/langdetect',
- keywords='language detection library',
-- packages=['langdetect', 'langdetect.utils', 'langdetect.tests'],
-+ packages=['langdetect', 'langdetect.utils', 'langdetect.tests', 'langdetect.profiles'],
- include_package_data=True,
- install_requires=['six'],
- license='MIT',
diff --git a/dev-python/langdetect/langdetect-1.0.9.ebuild b/dev-python/langdetect/langdetect-1.0.9.ebuild
index eb2586280d80..56733bbffc48 100644
--- a/dev-python/langdetect/langdetect-1.0.9.ebuild
+++ b/dev-python/langdetect/langdetect-1.0.9.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2022-2024 Gentoo Authors
+# Copyright 2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -19,6 +19,4 @@ KEYWORDS="~amd64"
RDEPEND="dev-python/six[${PYTHON_USEDEP}]"
-PATCHES=( "${FILESDIR}/${P}-explicit-config.patch" )
-
distutils_enable_tests unittest
diff --git a/dev-python/langdetect/metadata.xml b/dev-python/langdetect/metadata.xml
index c0f74ac187e2..020e07f2a3dd 100644
--- a/dev-python/langdetect/metadata.xml
+++ b/dev-python/langdetect/metadata.xml
@@ -2,9 +2,11 @@
<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
- <email>pastalian46@gmail.com</email>
- <name>Takuya Wakazono</name>
+ <email>marcin.deranek@slonko.net</email>
+ <name>Marcin Deranek</name>
</maintainer>
-
- <origin>gentoo-guru-overlay</origin>
+ <upstream>
+ <bugs-to>https://github.com/Mimino666/langdetect/issues</bugs-to>
+ </upstream>
+ <origin>slonko-overlay</origin>
</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/numpy/Manifest b/dev-python/numpy/Manifest
index a52adf238591..bdc662226c1b 100644
--- a/dev-python/numpy/Manifest
+++ b/dev-python/numpy/Manifest
@@ -3,3 +3,4 @@ DIST numpy-2.0.2.tar.gz 18902015 BLAKE2B 63f993e3429bff1dac1ff79fad23a36a2493fd2
DIST numpy-2.1.3.tar.gz 20166090 BLAKE2B 746d343b17039d58738358168a613a2b85d6fb9cad1eeb367b851cd8d46fd42647990b47f0b4fb794ce5c4da2fa0a5d61e3ba42ea2f1945680f36cff31bb7b0d SHA512 59568acda3a77160908a23c354f0574970cb3daeea79ab535762a75a5f3a52a5cedd5754bb507cc238cf5948b37f0045523ed59c04cf6fc4a94ed22b9b77b8c1
DIST numpy-2.2.0.tar.gz 20225497 BLAKE2B 87450bbe52085edd55cd99303bbb7d71b44bf14be8326bffe46886cf14d442bd51443b1c89e3f04ce13ee7724e39c9a2f302e2394f05781430e66efd8347c3dc SHA512 3a0776ac175beb82b2aea0d384b60896cd1ee1055b414765965edd621839c8292fadaaaa18482c975c8e34319578cb20db4aa8f4ad06bd41a1833563c55fc3e9
DIST numpy-2.2.1.tar.gz 20227662 BLAKE2B 2b963af971b0fff6ea5802aa6e4b7ed33fcb885aec40b529cd97de9b5887697cd3cd857ffdedcce7f9b9d077ed388947683bc0b3f8fa7ef724acf382378da2c5 SHA512 15876635bd2b26a0f511472c447ff95102f3016eea02e5117d7f5a1ae4782cd656c10706e8b2e00adee0920a7673f216056fb842700d634fbb5630b672f26ddf
+DIST numpy-2.2.2.tar.gz 20233295 BLAKE2B 5b95ae4ff511468e55c0367066e9d4b8939fd1da2dd7ce39e5c7cb5897789599ba622c3c7ad53e787903042c1fcfd6225205f0da3d54110410b635e4179f9941 SHA512 f30c400b0a0296ac7990bfe143d4e01e9429e14a09f0525843c6f8e29d2e589289774e4c803fc9de640bf920749dcb3e50663da812b3541f4dc1b7046ab27b40
diff --git a/dev-python/numpy/numpy-2.2.2.ebuild b/dev-python/numpy/numpy-2.2.2.ebuild
new file mode 100644
index 000000000000..5423ac9156b0
--- /dev/null
+++ b/dev-python/numpy/numpy-2.2.2.ebuild
@@ -0,0 +1,191 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=meson-python
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+PYTHON_REQ_USE="threads(+)"
+FORTRAN_NEEDED=lapack
+
+inherit distutils-r1 flag-o-matic fortran-2 pypi
+
+DESCRIPTION="Fast array and numerical python library"
+HOMEPAGE="
+ https://numpy.org/
+ https://github.com/numpy/numpy/
+ https://pypi.org/project/numpy/
+"
+
+LICENSE="BSD"
+SLOT="0/2"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+# +lapack because the internal fallbacks are pretty slow. Building without blas
+# is barely supported anyway, see bug #914358.
+IUSE="big-endian +lapack"
+
+RDEPEND="
+ lapack? (
+ >=virtual/cblas-3.8
+ >=virtual/lapack-3.8
+ )
+"
+BDEPEND="
+ ${RDEPEND}
+ >=dev-build/meson-1.1.0
+ >=dev-python/cython-3.0.6[${PYTHON_USEDEP}]
+ lapack? (
+ virtual/pkgconfig
+ )
+ test? (
+ $(python_gen_cond_dep '
+ >=dev-python/cffi-1.14.0[${PYTHON_USEDEP}]
+ ' 'python*')
+ dev-python/charset-normalizer[${PYTHON_USEDEP}]
+ >=dev-python/hypothesis-5.8.0[${PYTHON_USEDEP}]
+ dev-python/pytest-rerunfailures[${PYTHON_USEDEP}]
+ >=dev-python/pytz-2019.3[${PYTHON_USEDEP}]
+ )
+"
+
+QA_CONFIG_IMPL_DECL_SKIP=(
+ # https://bugs.gentoo.org/925367
+ vrndq_f32
+)
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # bug #922457
+ filter-lto
+ # https://github.com/numpy/numpy/issues/25004
+ append-flags -fno-strict-aliasing
+
+ distutils-r1_python_prepare_all
+}
+
+python_configure_all() {
+ DISTUTILS_ARGS=(
+ -Dallow-noblas=$(usex !lapack true false)
+ -Dblas=$(usev lapack cblas)
+ -Dlapack=$(usev lapack lapack)
+ # TODO: cpu-* options
+ )
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # Very disk-and-memory-hungry
+ numpy/lib/tests/test_io.py::TestSaveTxt::test_large_zip
+ numpy/lib/tests/test_io.py::TestSavezLoad::test_closing_fid
+ numpy/lib/tests/test_io.py::TestSavezLoad::test_closing_zipfile_after_load
+
+ # Precision problems
+ numpy/_core/tests/test_umath_accuracy.py::TestAccuracy::test_validate_transcendentals
+
+ # Runs the whole test suite recursively, that's just crazy
+ numpy/core/tests/test_mem_policy.py::test_new_policy
+
+ numpy/typing/tests/test_typing.py
+ # Uses huge amount of memory
+ numpy/core/tests/test_mem_overlap.py
+ )
+
+ if [[ $(uname -m) == armv8l ]]; then
+ # Degenerate case of arm32 chroot on arm64, bug #774108
+ EPYTEST_DESELECT+=(
+ numpy/_core/tests/test_cpu_features.py::Test_ARM_Features::test_features
+ )
+ fi
+
+ case ${ARCH} in
+ arm)
+ EPYTEST_DESELECT+=(
+ # TODO: warnings
+ numpy/_core/tests/test_umath.py::TestSpecialFloats::test_unary_spurious_fpexception
+
+ # TODO
+ numpy/_core/tests/test_function_base.py::TestLinspace::test_denormal_numbers
+ numpy/f2py/tests/test_kind.py::TestKind::test_real
+ numpy/f2py/tests/test_kind.py::TestKind::test_quad_precisionn
+
+ # require too much memory
+ 'numpy/_core/tests/test_multiarray.py::TestDot::test_huge_vectordot[complex128]'
+ 'numpy/_core/tests/test_multiarray.py::TestDot::test_huge_vectordot[float64]'
+ )
+ ;;
+ hppa)
+ EPYTEST_DESELECT+=(
+ # https://bugs.gentoo.org/942689
+ "numpy/_core/tests/test_dtype.py::TestBuiltin::test_dtype[int]"
+ "numpy/_core/tests/test_dtype.py::TestBuiltin::test_dtype[float]"
+ numpy/f2py/tests/test_kind.py::TestKind::test_real
+ numpy/f2py/tests/test_kind.py::TestKind::test_quad_precision
+ numpy/tests/test_ctypeslib.py::TestAsArray::test_reference_cycles
+ numpy/tests/test_ctypeslib.py::TestAsArray::test_segmentation_fault
+ numpy/tests/test_ctypeslib.py::TestAsCtypesType::test_scalar
+ numpy/tests/test_ctypeslib.py::TestAsCtypesType::test_subarray
+ numpy/tests/test_ctypeslib.py::TestAsCtypesType::test_structure
+ numpy/tests/test_ctypeslib.py::TestAsCtypesType::test_structure_aligned
+ numpy/tests/test_ctypeslib.py::TestAsCtypesType::test_union
+ numpy/tests/test_ctypeslib.py::TestAsCtypesType::test_padded_union
+ )
+ ;;
+ ppc|x86)
+ EPYTEST_DESELECT+=(
+ # require too much memory
+ 'numpy/_core/tests/test_multiarray.py::TestDot::test_huge_vectordot[complex128]'
+ 'numpy/_core/tests/test_multiarray.py::TestDot::test_huge_vectordot[float64]'
+ )
+ ;;
+ esac
+
+ if [[ ${CHOST} == powerpc64le-* ]]; then
+ EPYTEST_DESELECT+=(
+ # long double thingy
+ numpy/_core/tests/test_scalarprint.py::TestRealScalars::test_ppc64_ibm_double_double128
+ )
+ fi
+
+ if use big-endian; then
+ EPYTEST_DESELECT+=(
+ # ppc64 and sparc
+ numpy/linalg/tests/test_linalg.py::TestDet::test_generalized_sq_cases
+ numpy/linalg/tests/test_linalg.py::TestDet::test_sq_cases
+ "numpy/f2py/tests/test_return_character.py::TestFReturnCharacter::test_all_f77[s1]"
+ "numpy/f2py/tests/test_return_character.py::TestFReturnCharacter::test_all_f77[t1]"
+ "numpy/f2py/tests/test_return_character.py::TestFReturnCharacter::test_all_f90[s1]"
+ "numpy/f2py/tests/test_return_character.py::TestFReturnCharacter::test_all_f90[t1]"
+ )
+ fi
+
+ if ! has_version -b "~${CATEGORY}/${P}[${PYTHON_USEDEP}]" ; then
+ # depends on importing numpy.random from system namespace
+ EPYTEST_DESELECT+=(
+ 'numpy/random/tests/test_extending.py::test_cython'
+ )
+ fi
+
+ if has_version ">=dev-python/setuptools-74[${PYTHON_USEDEP}]"; then
+ # msvccompiler removal
+ EPYTEST_DESELECT+=(
+ numpy/tests/test_public_api.py::test_all_modules_are_expected_2
+ numpy/tests/test_public_api.py::test_api_importable
+ )
+ EPYTEST_IGNORE+=(
+ numpy/distutils/tests/test_mingw32ccompiler.py
+ numpy/distutils/tests/test_system_info.py
+ )
+ fi
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ cd "${BUILD_DIR}/install$(python_get_sitedir)" || die
+ epytest -p rerunfailures --reruns=5
+}
+
+python_install_all() {
+ local DOCS=( LICENSE.txt README.md THANKS.txt )
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/orjson/Manifest b/dev-python/orjson/Manifest
index ad47fa4e54c2..fec3618e9654 100644
--- a/dev-python/orjson/Manifest
+++ b/dev-python/orjson/Manifest
@@ -27,6 +27,7 @@ DIST orjson-3.10.11.tar.gz 5444879 BLAKE2B bfa24e6f07fdc952dc9f80a28449fa9121c96
DIST orjson-3.10.12.tar.gz 5438647 BLAKE2B 88378c76f7b4aaefcc56b3963e60bc6fd8cf740ab683a15c735b8b1a9f69f0a9fb9924e2385c3234ca6f4b44c772f7b6ef359cfc1afc8982fc521db0e99b3100 SHA512 089420645ef4a54674436ebc4f49ba67fda4fff716c949e03a4af402fdd817decd066c508b18c19ac24b634e7173b37924ac1c2180679a92551884957d4b11ae
DIST orjson-3.10.13.tar.gz 5438389 BLAKE2B 4845c232441ff87e323f661961537e4a9705a7f0191f364c31a62d0784b15c2bd230d6999985b84f2417043451616facd91bad63d84317ac4a12e71687b33713 SHA512 84ee3a42654e5576190dd115483db1e3a9a151b22de79b99b497c2e181adbd5e33a4aa77bb5f72394e0947887e657c5dc6380e852dddb4a5e95b47e72486b18c
DIST orjson-3.10.14.tar.gz 5282116 BLAKE2B 01c7e3c024e96924bd630556445d0355c43dfaf20241a850c0cf92696dde07b856e54707642d67ea91e457fac7ff7a8ea801f32ce3f869bdccda57c9d75a16f5 SHA512 d186e95ac6750af9f2688744fe663e63973e06942fcbfc10deadc1d63a5ad59f437ea4e2485d1866bde6abcd59086fa5c1a0794d3ba975e693995d3ca58f0f76
+DIST orjson-3.10.15.tar.gz 5282482 BLAKE2B 12ec9b9f5928ac3e9c62362bf7237edc3b68a1559912f7d75f54dcb8d415192c68e5f10d700cf647e9a8e1d7b32b8433fefdd4913c51080ed308b9a96aa5182e SHA512 e20fc9313e494719a1c2ebaeb0fedc45b5c58005dfb868f915b545995b8ca4e705f6bdc691f5df0d8705f393eee439576f82de89c35c0f3c1932a51eca3ef9b3
DIST portable-atomic-1.10.0.crate 174760 BLAKE2B 9a05d6162c95f5140709cbd005c1997449fb6373700e8ed3966e3379898e95f3cbdb90b387f1c7deb3f1eb33125378852a7168d0d22b433813f6c082112b0365 SHA512 fb47ab53fe240d5b0824dd068c6dda473d3e71ae6f5dfccaa17262a8b6de0e1dde05d83975e53bbfcf43f10ef5c634fc024f94613937927ae93f1adad1dadb19
DIST portable-atomic-util-0.2.4.crate 47043 BLAKE2B 6a8e122bb2b9eb8262e9eb790f336dbb602f6c086f8ac025740c043170360d5474af578b3842b06ec51535535de3f4d1b6753ec54a6871dd0396f5c1012b0bd4 SHA512 f2266e78576181123aaf68e7b5d3523a368fa8136d447bac68a08d65c7051dea677cea84491a1a03b9decb4704b2f9392574d68dda9427092a2ac92cfa0affe8
DIST proc-macro2-1.0.89.crate 49446 BLAKE2B 844c021394e7a2551bc179592a6769d672360150abf92debcb9ac60a94a2e426c48c408f06aeb2128686f5f04d66dc12973714670c21a5063ee6b9f3bae4e671 SHA512 488ab38a04df1d0330309382a7e4f667238cbc9b4d513da6a8f5718f8a762f76cc122af67fefe8f4b021a286b3d23e3ec83d781fe6ac823042a6daf14d147e2f
diff --git a/dev-python/orjson/orjson-3.10.15.ebuild b/dev-python/orjson/orjson-3.10.15.ebuild
new file mode 100644
index 000000000000..5487475579f3
--- /dev/null
+++ b/dev-python/orjson/orjson-3.10.15.ebuild
@@ -0,0 +1,91 @@
+# Copyright 2023-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=maturin
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+CRATES="
+ associative-cache@2.0.0
+ bytecount@0.6.8
+ castaway@0.2.3
+ cc@1.2.1
+ cfg-if@1.0.0
+ compact_str@0.8.1
+ crunchy@0.2.2
+ encoding_rs@0.8.35
+ gimli@0.31.1
+ half@2.4.1
+ itoa@1.0.14
+ itoap@1.0.1
+ jiff@0.1.21
+ libc@0.2.169
+ memchr@2.7.4
+ once_cell@1.20.2
+ portable-atomic-util@0.2.4
+ portable-atomic@1.10.0
+ proc-macro2@1.0.92
+ quote@1.0.38
+ rustversion@1.0.19
+ ryu@1.0.18
+ serde@1.0.217
+ serde_derive@1.0.217
+ serde_json@1.0.135
+ shlex@1.3.0
+ simdutf8@0.1.5
+ smallvec@1.13.2
+ static_assertions@1.1.0
+ syn@2.0.95
+ target-lexicon@0.13.1
+ unicode-ident@1.0.14
+ unwinding@0.2.5
+ uuid@1.11.0
+ version_check@0.9.5
+ xxhash-rust@0.8.15
+"
+
+RUST_MIN_VER="1.74.1"
+
+inherit cargo distutils-r1 pypi
+
+DESCRIPTION="Fast, correct Python JSON library supporting dataclasses, datetimes, and numpy"
+HOMEPAGE="
+ https://github.com/ijl/orjson/
+ https://pypi.org/project/orjson/
+"
+SRC_URI+="
+ ${CARGO_CRATE_URIS}
+"
+
+LICENSE="|| ( Apache-2.0 MIT )"
+# Dependent crate licenses
+LICENSE+="
+ Apache-2.0-with-LLVM-exceptions BSD Boost-1.0 MIT Unicode-3.0
+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+BDEPEND="
+ >=dev-util/maturin-1.7.8[${PYTHON_USEDEP}]
+ test? (
+ dev-python/arrow[${PYTHON_USEDEP}]
+ dev-python/psutil[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/numpy[${PYTHON_USEDEP}]
+ ' 'python3*')
+ )
+"
+
+QA_FLAGS_IGNORED=".*"
+
+distutils_enable_tests pytest
+
+export UNSAFE_PYO3_SKIP_VERSION_CHECK=1
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest
+}
diff --git a/dev-python/recurring-ical-events/Manifest b/dev-python/recurring-ical-events/Manifest
index af7ca96811f0..98c577d9d269 100644
--- a/dev-python/recurring-ical-events/Manifest
+++ b/dev-python/recurring-ical-events/Manifest
@@ -1,3 +1,4 @@
DIST python-recurring-ical-events-3.3.3.gh.tar.gz 479005 BLAKE2B eca43a5892ffd3bc7b6b8e6c0d7d5c84d588894b2cc2d8a592d3753bd5c3158b3b0b4ac31932aa39e20c08789d72688b724cc128d53454b4a6c6e90e2dbd16ca SHA512 1b92383252c5497ff49adad5a2b5d2bb866dd72ccfd31621c305f5ec96baa5db9ca656f32787e34d9f551837cf9da769443fa017775a0d0042f6607fd138c7ef
DIST python-recurring-ical-events-3.3.4.gh.tar.gz 479042 BLAKE2B cabd8679c362aa78f3f9a600d0518724dd4cabd4b813990147858dcb2659a14e5d947c8e1a2d4e681bf535387160a02e59bb816d6376ba9ba085b04718b5b1da SHA512 fcbc8faad94f34cdced49a9d7452aca61242241e45a591ce76334eb7b29a680e7bcd11f0b03c9037d43b3b4784fe641b032b48f714ee406d80ff43eec5208558
DIST python-recurring-ical-events-3.4.0.gh.tar.gz 511539 BLAKE2B b451debd28dfa0e629dc7386841968bc3457d5dffe418aa2da10a7637956eb5975dd1d507701931cb9c95bb1f4d39deec452270c4d4f7a7758374af1a2fb46c7 SHA512 5031e902327b3b29806e65c24c059ec7e2a167f7ca96e6c79b639ddc67cbc526b569d822a1c9d9b625b08c8bde22f04b4cfc756bfed355c913de3a64db24ccc9
+DIST python-recurring-ical-events-3.4.1.gh.tar.gz 511709 BLAKE2B 30d0c8894b723d4e2a824840837d5f966fbfcf9b525e98e28993d8bfa5aad4f9a8042e1484339afeb8a966381cc4df92335cb7d13e31baaeb85e22e5e5fc6a1f SHA512 fbad8bf7878a0806fba6c11cfb644f2aecd99b3bab63194137effc4730b81b18aa9a8b3bc48c4442d083515e8a41fc392afbe64f15b5d597fd24079c80e02ff6
diff --git a/dev-python/recurring-ical-events/recurring-ical-events-3.4.1.ebuild b/dev-python/recurring-ical-events/recurring-ical-events-3.4.1.ebuild
new file mode 100644
index 000000000000..3f3dac58e50d
--- /dev/null
+++ b/dev-python/recurring-ical-events/recurring-ical-events-3.4.1.ebuild
@@ -0,0 +1,45 @@
+# Copyright 2023-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1
+
+MY_P=python-${P}
+DESCRIPTION="Repeat ICalendar events by RRULE, RDATE and EXDATE"
+HOMEPAGE="
+ https://github.com/niccokunzmann/python-recurring-ical-events/
+ https://pypi.org/project/recurring-ical-events/
+"
+SRC_URI="
+ https://github.com/niccokunzmann/python-recurring-ical-events/archive/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="LGPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ <dev-python/icalendar-7[${PYTHON_USEDEP}]
+ >=dev-python/icalendar-6.1.0[${PYTHON_USEDEP}]
+ >=dev-python/python-dateutil-2.8.1[${PYTHON_USEDEP}]
+ <dev-python/x-wr-timezone-3[${PYTHON_USEDEP}]
+ >=dev-python/x-wr-timezone-1.0.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ >=dev-python/icalendar-6[${PYTHON_USEDEP}]
+ >=dev-python/pytz-2023.3[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_IGNORE=(
+ test/test_readme.py
+)
diff --git a/dev-python/sphinxygen/Manifest b/dev-python/sphinxygen/Manifest
index 7323c231749b..b041a1f04690 100644
--- a/dev-python/sphinxygen/Manifest
+++ b/dev-python/sphinxygen/Manifest
@@ -1,2 +1,3 @@
+DIST sphinxygen-v1.0.10.tar.bz2 16711 BLAKE2B 3915125ceb70e50bc9848216e5b98a7d17886184f9aa6838f18030bc8b57f464e305adb84c14e3bd758164973eb85afb76ada0b3928f95a4c6ea96517d6e3a1c SHA512 8789962a76c770eb460b672d753c880574ad7abdf2e971053a8b1460efa166abf1689f4361db186b8a1e2fd91f6c4135d24bb7e413119d8d234f365b337e2c69
DIST sphinxygen-v1.0.4.tar.bz2 16224 BLAKE2B 6b06e015bc04a445b2f1983be193b2a17296c263efccb7a67a06e73c4f06d312d3cd103e6493c428d1ee5fb3058309b50cb066e8f988145edf3705181ab3c658 SHA512 54872ead6725aa41057347b5cf45285411db90266266f8805d34dc846d0a0a69c013f894958721238b1eb7f7c9d13e105bbd4e7d5afe50eaaf17bad6d4f46662
DIST sphinxygen-v1.0.6.tar.bz2 16583 BLAKE2B e9838b66de1575fdb884978a2b33e0d5b4585063b9d3cd52ca464bbaf4af56af26fa264916564c54bfcdc36603d87648037a2b8c129f53a294b312e7e7a20c3d SHA512 298a7017480a51e29dd3f74d3615bb931175635a9169b7aa308eacd51cfa274a6504e9231f08b7e71fcd00ca2d18086030b4805cb4ad4517ea43c1b8ab0e1111
diff --git a/dev-python/sphinxygen/sphinxygen-1.0.10.ebuild b/dev-python/sphinxygen/sphinxygen-1.0.10.ebuild
new file mode 100644
index 000000000000..25cba495fcdf
--- /dev/null
+++ b/dev-python/sphinxygen/sphinxygen-1.0.10.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python module/script that generates Sphinx markup to describe a C API"
+HOMEPAGE="
+ https://gitlab.com/drobilla/sphinxygen/
+ https://pypi.org/project/sphinxygen/
+"
+SRC_URI="
+ https://gitlab.com/drobilla/sphinxygen/-/archive/v${PV}/${PN}-v${PV}.tar.bz2
+"
+S="${WORKDIR}/${PN}-v${PV}"
+
+LICENSE="ISC"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+RDEPEND="
+ app-text/doxygen
+ dev-python/sphinx[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/html5lib[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest